Subject: Comments for draft-ietf-pwe3-vccv-04

From: Gatot Susilo <[email-masked]>
Date: Thu, 17 Feb 2005 17:29:21 -0500

Hi Thomas,
I am wondering if you can clarify about in-band VCCV. I have a confusion
to interpret the section 4.1 In-band VCCV.

With in-band VCCV, do you expect that the "LSP Ping echo message" will
be transported using the same encap. as the pseudowire ? For instance,
ATM 1-1 VC cell mode pseudowire supports a control word. To do LSP ping
on this pseudowire with in-band VCCV mode, do you expect that "LSP Ping
echo message" will be encapsulated into IP routed ATM packet (i.e.
LLC/SNAP and AAL5) and transported as ATM 1-1 cell mode.

The draft gives an example of ethernet control word encapsulation. This
is where my confusion comes from. This example implies that in-band VCCV
must use the same encapsulation as the pseudowire itself. If this is the
case, this will be problematic for ATM 1-1 VP cell mode pseudowire. How
do we encapsulate the "LSP ping echo message" into this pseudowire?.

Thank you very much.

/Gatot